import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bird in a nest*
----------------
Filename: Nestbird.png, Nestbird1.png
Description: A red bird guarding her nest, if the hero gets too close
she'll lower his stamina (or bounce him back and stun him).
The bird will change itself to Nestbird1.png if the hero gets too close.
 * @Elin Larsson
 * @Last updated Jan 7
 */
public class Birdnest extends Enemy
{
    /**
     * Act - do whatever the Birdnest wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.act(); //runs the Enemy act
        
        setLocation(getX(), getY() + cameraspeed);
        checkStatusbar();
        checkUpKey();
    }

    /**
     * COLLISSION
     * 
     * If the player collides with the nestbird, change nestbirds image to Nestbird1.png.
     * Bird looks annoyed.
     */
    public void collission()
    {
        setImage("Nestbird1.png");
        super.collission();
    }
}
