import greenfoot.*;

/**
 * Climber.java
 * 
 * @author  Mort Yao    <mort.yao@gmail.com>
 * @version 2011-12-06
 */
public class Climber extends Actor
{
    private int posX = 0;
    private int posY = 0;
    private int speedW = 1;
    private int speedS = 1;
    private int speedAD = 2;
    public int staminabar = 0;
         
    public void act() 
    {
        checkStatusbar();
        checkUpKey();
    }
    
    Climber()
    {
    }
    
    public final int getPosX()
    {
        return posX;
    }
    
    public final int getPosY()
    {
        return posY;
    }
    
    public final int getSpeedW()
    {
        return speedW;
    }
    
    public final int getSpeedS()
    {
        return speedS;
    }
    
    public final int getSpeedAD()
    {
        return speedAD;
    }
    
    public final void setPos(int posX, int posY)
    {
        this.posX = posX;
        this.posY = posY;
    }
    
    public final void setPosX(int posX)
    {
        this.posX = posX;
    }
    
    public final void setPosY(int posY)
    {
        this.posY = posY;
    }
    
    public final void setSpeedW(int speedW)
    {
        this.speedW = speedW;
    }
    
    public final void setSpeedS(int speedS)
    {
        this.speedS = speedS;
    }
    
    public final void setSpeedAD(int speedAD)
    {
        this.speedAD = speedAD;
    }
    
    public final void move(int dX, int dY)
    {
        posX += dX * speedAD;
        if (dY > 0)
            posY += dY * speedW;
        else
            posY += dY * speedS;
    }
    

    public void checkStatusbar(){
        if(staminabar == 60){
            speedW = 2;
        }
        if(staminabar == 120){
            speedW = 3;
        }
        if(staminabar == 190){
            speedW = 4;
        }
        if(staminabar == 290){
            speedW = 5;
        }
    }
    
    public void checkUpKey() {
        if (Greenfoot.isKeyDown("up"))
        {
            staminabar = staminabar +1;
        }
    }
    
}
