import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

public class Dude extends Actor
{

    private int fallSpeed = 3;
    private int acceleration = 1;
    private boolean onPlatform;
    public int staminabar = 0;
    public int cameraspeed = 1;
    private boolean onPowerjump;
    private int fallSpeed02 = -8;
    //private boolean onCoin;

    public void act() 
    {
        checkKeys();
        checkFalling();
        onPlatform();
        setFallSpeed();
        checkStatusbar();
        checkUpKey();
        checkFinish();
        outOfFrame();
        checkPowerjump();
        onPowerjump();
        //onCoin();
        //checkCoin();
        
    }

    public void checkKeys()
    {
        if (Greenfoot.isKeyDown("left"))
        {
            setLocation(getX()-9, getY());
        }

        if (Greenfoot.isKeyDown("right"))
        {
            setLocation(getX()+9, getY());
        }     

        if (Greenfoot.isKeyDown("up"))
        {
            if (fallSpeed == 3) {
                jump();
            }else{
                falling();
            }

        }

    }

    public void jump()
    {
        fallSpeed = fallSpeed02;
        falling();
        acceleration = 2;
        Greenfoot.playSound("jump.wav");
    }

    public void checkFalling()
    {
        if(onPlatform()) {
            setLocation(getX(), getY()+cameraspeed);
            fallSpeed = 3;
            acceleration = 0;

        } else {
            falling();

        }
    }

    private void falling()
    {
        acceleration = 1;
        setLocation(getX(), getY() + fallSpeed);
        fallSpeed = fallSpeed + acceleration;
    }

    public boolean onPlatform()
    {
        Actor under = getOneObjectAtOffset (0, 22, Platform.class);
        return under != null;

    }
    
    public boolean onPowerjump()
    {
        Actor under = getOneObjectAtOffset (0, 22, Powerjump.class);
        return under != null;

    }
    
//     public boolean onCoin()
//     {
//         Actor under = getOneObjectAtOffset (0, 22, Coin.class);
//         return under != null;
// 
//     }
//     
//     public void checkCoin()
//     {
//         if (onCoin == true){
//             
//             getWorld().removeObject(coin);
//         }
//     }
   
    
    public void checkPowerjump()
    {
        if(onPowerjump == true){
            fallSpeed02 = -11;
            Greenfoot.playSound("power.wav");
        }
    }

    public void setFallSpeed(){
        if(onPlatform == true){
            fallSpeed = cameraspeed;
        }
    }

    public void checkStatusbar(){
        if(staminabar == 60){
            cameraspeed = 2;
        }
        if(staminabar == 120){
            cameraspeed = 3;
        }
        if(staminabar == 190){
            cameraspeed = 4;
        }
        if(staminabar == 290){
            cameraspeed = 5;
        }
    }

    public void checkUpKey() {
        if (Greenfoot.isKeyDown("up"))
        {
            staminabar = staminabar +1;
        }
    }

    public int getCameraSpeed()
    {
        return cameraspeed;
    }
    
    private void checkFinish()
    {
       Actor done = getOneObjectAtOffset(0,0, Finish.class);
       if(done != null)
       {
        GreenfootImage image = new GreenfootImage(300, 100);
        Font font = image.getFont();
        font = font.deriveFont(56.0f);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString("You Won!", 50, 50);
        setImage(image);
        Greenfoot.playSound("win.wav");
        Greenfoot.stop();
       }
    }
    
    private void outOfFrame(){
       int y = getY();
       int x = getX();
        if(y > 600)
        {
            Greenfoot.playSound("dead.wav");
            Greenfoot.stop();
        }
        if(x < 0 || x > 600)
        {
            Greenfoot.playSound("dead.wav");
            Greenfoot.stop();
        }
    }
}
