import greenfoot.*;

/**
 * MainBackground.java
 * 
 * @author  Mort Yao    <mort.yao@gmail.com>
 * @version 2011-12-06
 */
public class MainBackground extends Background
{
    private int width, height;
    
    MainBackground(String fileName, int width, int height)
    {
        setImage(fileName);
        this.width = width;
        this.height = height;
    }
    
    public final int getWidth()
    {
        return width;
    }
    
    public final int getHeight()
    {
        return height;
    }
    
}
