import greenfoot.*;

/**
 * MapDemo.java
 * 
 * @author  Mort Yao    <mort.yao@gmail.com>
 * @version 2011-12-06
 */
public final class MapDemo extends MapTemplate
{
    public void init(ClimberWorld world)
    {
        //world.setBackground("Climber_parallax_background.png");
        world.addObject(new Introduction(),300,300);
        
        world.setMainBackground("Mountain.png", 600, 2000);
        
        world.setPlayer("Key01.gif");
        
        //world.addObject(new Powerjump(),40,324);
        
        world.addObject(new Rock(),350,-100);
        world.addObject(new Rock(),250,-500);
        world.addObject(new Rock(),400,-1000);
        world.addObject(new Rock(),200,-2000);
        world.addObject(new Rock(),500,-2500);
        world.addObject(new Rock(),300,-2800);
        world.addObject(new Rock(),450,-4000);
        world.addObject(new Rock(),250,-4500);
        world.addObject(new Rock(),200,-4900);
        world.addObject(new Rock(),250,-6000);
        world.addObject(new Rock(),500,-6400);
        world.addObject(new Rock(),300,-6900);
        
        world.addObject(new Bird(),60,300);
        world.addObject(new Bird(),600,50);
        world.addObject(new Bird(),60,-300);
        world.addObject(new Bird(),350,-1000);
        world.addObject(new Bird(),500,-1200);
        
        world.addObject(new Lizard(),350,350);
        world.addObject(new Lizard(),150,700);
        world.addObject(new Lizard(),500,1000);
        world.addObject(new Lizard(),250,1200);
        
        world.addObject(new Birdnest(),570,-130);
        //world.addObject(new Birdnest(),420,-370);
        
        world.addObject(new Dude(),250,500);
        
        world.addObject(new Coin(),340,350);
        world.addObject(new Coin(),400,200);
        world.addObject(new Coin(),570,50);
        world.addObject(new Coin(),30,70);
        world.addObject(new Coin(),530,270);
        world.addObject(new Coin(),530,270);
        world.addObject(new Coin(),280,-70);
        world.addObject(new Coin(),30,-170);
        world.addObject(new Coin(),560,-440);
        world.addObject(new Coin(),160,-530);
        world.addObject(new Coin(),580,-750);
        world.addObject(new Coin(),430,-790);
        world.addObject(new Coin(),80,-920);
        world.addObject(new Coin(),460,-1100);
        
        world.addObject(new Platform(),250,530);
        world.addObject(new Platform(),320,500);
        world.addObject(new Platform(),400,480);
        world.addObject(new Platform(),330,440);
        world.addObject(new Platform(),420,400);
        world.addObject(new Platform(),250,400);
        world.addObject(new Platform(),150,380);
        world.addObject(new Platform(),50,340);
        world.addObject(new Platform(),130,300);
        world.addObject(new Platform(),230,280);
        world.addObject(new Platform(),330,250);
        world.addObject(new Platform(),260,200);
        world.addObject(new Platform(),470,360);
        world.addObject(new Platform(),500,320);

        world.addObject(new Platform(),460,260);

        world.addObject(new Platform(),400,300);

        world.addObject(new Platform(),500,220);
        world.addObject(new Platform(),550,180);
        world.addObject(new Platform(),150,200);
        world.addObject(new Platform(),80,160);
        world.addObject(new Platform(),50,120);
        world.addObject(new Platform(),140,80);
        world.addObject(new Platform(),220,40);
        world.addObject(new Platform(),290,10);
        world.addObject(new Platform(),480,140);
        world.addObject(new Platform(),560,100);
        world.addObject(new Platform(),480,60);
        world.addObject(new Platform(),410,10);
        world.addObject(new Platform(),350,-30);
        world.addObject(new Platform(),200,-30);
        world.addObject(new Platform(),100,-70);
        world.addObject(new Platform(),50,-110);
        world.addObject(new Platform(),150,-150);
        world.addObject(new Platform(),210,-190);

        world.addObject(new Platform(),450,-70);
        world.addObject(new Platform(),550,-110);
        world.addObject(new Platform(),450,-150);
        world.addObject(new Platform(),350,-190);
        world.addObject(new Platform(),280,-230);
        world.addObject(new Platform(),380,-270);
        world.addObject(new Platform(),480,-270);
        world.addObject(new Platform(),540,-310);
        world.addObject(new Platform(),440,-350);
        world.addObject(new Platform(),540,-390);
        world.addObject(new Platform(),440,-430);
        world.addObject(new Platform(),310,-460);
        world.addObject(new Platform(),180,-490);
        world.addObject(new Platform(),310,-520);
        world.addObject(new Platform(),440,-550);
        world.addObject(new Platform(),500,-590);
        world.addObject(new Platform(),440,-630);
        world.addObject(new Platform(),500,-670);
        world.addObject(new Platform(),560,-710);
        world.addObject(new Platform(),500,-750);
        world.addObject(new Platform(),350,-750);
        world.addObject(new Platform(),250,-790);
        world.addObject(new Platform(),150,-830);
        world.addObject(new Platform(),100,-880);
        world.addObject(new Platform(),150,-930);
        world.addObject(new Platform(),250,-970);
        world.addObject(new Platform(),350,-1010);
        world.addObject(new Platform(),450,-1050);
        world.addObject(new Platform(),350,-1090);
        world.addObject(new Platform(),250,-1130);
        world.addObject(new Platform(),200,-1180);
        
        world.addObject(new Finish(),200,-1200);
        
        
        
        
    }
}
